Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161536 - libslang-utf8.so uses glibc-internal symbol
Summary: libslang-utf8.so uses glibc-internal symbol
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: slang
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Raszyk
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 02:08 UTC by Ulrich Drepper
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: slang-1.4.9, Release 23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-24 14:27:05 UTC


Attachments (Terms of Use)

Description Ulrich Drepper 2005-06-24 02:08:50 UTC
Description of problem:
libslang-utf8.so uses the symbol __libc_enable_secure which is internal to
glibc.  This is not allowed.  The symbol can go away at any time, the type can
change, whatever.

Version-Release number of selected component (if applicable):
slang-devel-1.4.9-17

How reproducible:
always

Steps to Reproduce:
1.readelf -s /usr/lib*/libslang-utf8.so | fgrep GLIBC_PRIVATE
2.
3.
  
Actual results:
   677: 0000000000000000     4 OBJECT  GLOBAL DEFAULT  UND
__libc_enable_secure@GLIBC_PRIVATE (6)


Expected results:
No output.

Additional info:
rpm actually should have could that.

Comment 1 Ulrich Drepper 2005-06-24 02:57:20 UTC
rpm should have *caught* that.

Comment 2 Robert Scheck 2005-10-16 21:16:28 UTC
This is catched up by rpm:

error: Failed dependencies:
        ld-linux.so.2(GLIBC_PRIVATE) is needed by slang-1.4.9-20.i386

Florian worked around it in rpm spec file of -21 using _filter_GLIBC_PRIVATE.

Comment 3 Arjan van de Ven 2005-10-17 11:11:16 UTC
That is not a valid workaround obviously...

Comment 4 Petr Raszyk 2005-10-24 14:27:05 UTC
Fixed in slang-1.4.9, Release 22, patch slang-nointerlibc.patch


Note You need to log in before you can comment on or make changes to this bug.